Subject: guile-2.0.5 bug report

From: Kiyoshi KANAZAWA <[email-masked]>
Date: Sat, 24 Mar 2012 11:48:01 +0900 (JST)

Hello,

I'm trying to install guile-2.0.5 on Solaris 10 x86-64 system.
I have some problems.

(1) make fails with threads
make fails with configure CC="gcc -I/usr/local/GNU/include -L/usr/local/GNU/lib" --prefix=/usr/local/GNU
make stops with messages as:
make[3]: Entering directory `/tmp/guile-2.0.5/libguile'
  CCLD   guile
Undefined                       first referenced
 symbol                             in file
GC_unregister_my_thread             ./.libs/libguile-2.0.so
GC_register_my_thread               ./.libs/libguile-2.0.so
GC_pthread_create                   ./.libs/libguile-2.0.so
GC_pthread_detach                   ./.libs/libguile-2.0.so
ld: fatal: symbol referencing errors. No output written to .libs/guile
collect2: ld returned 1 exit status

libgc.a, libgc.la, libgc.so, libgc.so.1, libgc.so.1.0.3 can be found on /usr/local/GNU/lib.

(2) make passes with --without-threads but Segmentation Fault occur in make check
make succeeds with configure --without-threads CC="gcc -I/usr/local/GNU/include -L/usr/local/GNU/lib" --prefix=/usr/local/GNU
But, make check failes as:
Testing /tmp/guile-2.0.5/meta/guile ...
with GUILE_LOAD_PATH=/tmp/guile-2.0.5/test-suite
/bin/bash: line 5: 29264 Segmentation Fault      CHARSETALIASDIR="/tmp/guile-2.0.5/lib" 
${dir}$tst
FAIL: check-guile
==================================
1 of 1 test failed
Please report to [email-masked]
==================================

(3) guile does not go correctly if LANG is not C
Installed guile ignoring the result of make check, and ran guile --version with some LANG environment.
(3-1) LANG=C
% guile --version
guile (GNU Guile) 2.0.5
Copyright (C) 2011 Free Software Foundation, Inc.

License LGPLv3+: GNU LGPL 3 or later <http://gnu.org/licenses/lgpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
(3-2) LANG=ja
guile --version
Backtrace:
In ice-9/boot-9.scm:
 149: 2 [catch #t #<catch-closure 81ce670> ...]
 157: 1 [#<procedure 81938c0 ()>]
In unknown file:
   ?: 0 [catch-closure]

ERROR: In procedure catch-closure:
ERROR: Throw to key `decoding-error' with args `("scm_from_stringn" "input locale conversion error" 22 #vu8(45 45 118 101 114 115 105 111 110))'.
(3-3) LANG=es
guile --version
Backtrace:
In ice-9/boot-9.scm:
 149: 2 [catch #t #<catch-closure 81ce670> ...]
 157: 1 [#<procedure 81938c0 ()>]
In unknown file:
   ?: 0 [catch-closure]

ERROR: In procedure catch-closure:
ERROR: Throw to key `decoding-error' with args `("scm_from_stringn" "input locale conversion error" 22 #vu8(45 45 118 101 114 115 105 111 110))'.

Best regards,

--- Kiyoshi <[email-masked]>